<?php
/*
<!-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
    SMF DB Uniform Collation & Engine Utility
	Copyright 2023 Chen Zhen @ web-develop.ca
    Distributed under the terms of the GNU General Public License
 - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->
*/
defined('SMF') OR exit('<b>Error:</b> Cannot uninstall');
global $modSettings;
$version = version_compare((!empty($modSettings['smfVersion']) ? substr($modSettings['smfVersion'], 0, 3) : '2.0'), '2.1', '<') ? 'v2.0' : 'v2.1';

// remove hooks
remove_integration_function('integrate_pre_include', '$sourcedir/UniformCollationsHooks.php');
remove_integration_function('integrate_admin_areas', 'UniformCollations_admin_areas');
remove_integration_function('integrate_load_theme', 'UniformCollations_init');
if ($version == 'v2.1')
	remove_integration_function('integrate_manage_maintenance', 'UniformCollations_subactions');

?>