<?php
// Version: 2.5; Uniform Collations

global $txt;

// admin maintenance template
$txt['UniformCollations_admin'] = 'Uniform Collations Management';
$txt['UniformCollations_current'] = 'Current Database Settings';
$txt['UniformCollations_adjust'] = 'Adjust Collation Settings';
$txt['UniformCollations_convert'] = 'Convert VARCHAR and TEXT to UTF8';

// buttons
$txt['UniformCollations_nil'] = 'NO CONVERSION';
$txt['UniformCollations_utf8'] = '[UTF8]';
$txt['UniformCollations_utf8mb4'] = '[UTF8MB4]';
$txt['UniformCollations_mb4utf8'] = '[UTF8MB4 -> UTF8]';
$txt['UniformCollations_save'] = 'Save';

// settings template
$txt['UniformCollations_setting'] = 'Database Setting';
$txt['UniformCollations_value'] = 'Current Value';
$txt['UniformCollationsSelect'] = 'Select Collation';
$txt['UniformCollationsConversions'] = 'Database Conversion Options';
$txt['UniformCollationsUtf8'] = 'UTF-8 Unicode Collation';
$txt['UniformCollationsUtf8mb4'] = 'UTF-8 Multibyte Collation';

// settings template messages/alerts
$txt['UniformCollations_config_warning'] = 'Make absolutely sure that you have a copy of your database prior to saving this action.\\nYou can use ZhenMailer to email yourself a copy of your database.';
$txt['UniformCollationsDisabled'] = 'This option is currently unavailable';
$txt['UniformCollations_config_execute'] = 'Executing changes...';
$txt['UniformCollations_config_execute_more'] = 'Executing more changes...';
$txt['UniformCollations_config_done'] = 'Maintenance finished!';
$txt['UniformCollations_config_fields_void'] = '<-Processing->';
$txt['UniformCollations_config_unknown'] = 'Unknown';
$txt['UniformCollations_config_field_count'] = 'Table: %s  ~  text/varchar fields: %s';
$txt['UniformCollations_config_fields_messages'] = array(
	'Please be patient as this process may take an extensive period of time.',
	'Large tables may require an adequate amount of time to process.',
	'All characters are being converted to UTF-8.',
	'The process will refresh the screen repeatedly to avoid timing out.',
);

// titles
$txt['Uniform_Collations'] = 'Database Collations';

// error messages
$txt['UniformCollations_admin_error_access'] = 'You are not permitted to access Uniform Database Collations Admin!';
$txt['UniformCollations_admin_error_collations'] = 'Invalid collation setting';

// collations: do not edit the keys! ... however, descriptive values can be edited
// utf8 language strings
$txt['utf8_bin'] = 'Unicode, binary';
$txt['utf8_croatian_ci'] = 'Croatian, case-insensitive';
$txt['utf8_croatian_mysql561_ci'] = 'Croatian (MySQL 5.6.1), case-insensitive';
$txt['utf8_czech_ci'] = 'Czech, case-insensitive';
$txt['utf8_danish_ci'] = 'Danish, case-insensitive';
$txt['utf8_esperanto_ci'] = 'Esperanto, case-insensitive';
$txt['utf8_estonian_ci'] = 'Estonian, case-insensitive';
$txt['utf8_general_ci'] = 'Unicode, case-insensitive';
$txt['utf8_general_mysql500_ci'] = 'Unicode (MySQL 5.0.0), case-insensitive';
$txt['utf8_general_nopad_ci'] = 'Unicode, case-insensitive';
$txt['utf8_german2_ci'] = 'German (phone book order), case-insensitive';
$txt['utf8_hungarian_ci'] = 'Hungarian, case-insensitive';
$txt['utf8_icelandic_ci'] = 'Icelandic, case-insensitive';
$txt['utf8_latvian_ci'] = 'Latvian, case-insensitive';
$txt['utf8_lithuanian_ci'] = 'Lithuanian, case-insensitive';
$txt['utf8_myanmar_ci'] = 'Burmese, case-insensitive';
$txt['utf8_nopad_bin'] = 'Unicode, binary';
$txt['utf8_persian_ci'] = 'Persian, case-insensitive';
$txt['utf8_polish_ci'] = 'Polish, case-insensitive';
$txt['utf8_roman_ci'] = 'West European, case-insensitive';
$txt['utf8_romanian_ci'] = 'Romanian, case-insensitive';
$txt['utf8_sinhala_ci'] = 'Sinhalese, case-insensitive';
$txt['utf8_slovak_ci'] = 'Slovak, case-insensitive';
$txt['utf8_slovenian_ci'] = 'Slovenian, case-insensitive';
$txt['utf8_spanish2_ci'] = 'Spanish (traditional), case-insensitive';
$txt['utf8_spanish_ci'] = 'Spanish (modern), case-insensitive';
$txt['utf8_swedish_ci'] = 'Swedish, case-insensitive';
$txt['utf8_thai_520_w2'] = 'Thai (UCA 5.2.0), multi-level';
$txt['utf8_turkish_ci'] = 'Turkish, case-insensitive';
$txt['utf8_unicode_520_ci'] = 'Unicode (UCA 5.2.0), case-insensitive';
$txt['utf8_unicode_520_nopad_ci']  = 'Unicode (UCA 5.2.0), case-insensitive';
$txt['utf8_unicode_ci'] = 'Unicode, case-insensitive';
$txt['utf8_unicode_nopad_ci'] = 'Unicode, case-insensitive';
$txt['utf8_vietnamese_ci'] = 'Vietnamese, case-insensitive';
// utf8mb4 language strings
$txt['utf8mb4_bin'] = 'Unicode, binary';
$txt['utf8mb4_croatian_ci'] = 'Croatian, case-insensitive';
$txt['utf8mb4_croatian_mysql561_ci'] = 'Croatian (MySQL 5.6.1), case-insensitive';
$txt['utf8mb4_czech_ci'] = 'Czech, case-insensitive';
$txt['utf8mb4_danish_ci'] = 'Danish, case-insensitive';
$txt['utf8mb4_esperanto_ci'] = 'Esperanto, case-insensitive';
$txt['utf8mb4_estonian_ci'] = 'Estonian, case-insensitive';
$txt['utf8mb4_general_ci'] = 'Unicode, case-insensitive';
$txt['utf8mb4_general_mysql500_ci'] = 'Unicode (MySQL 5.0.0), case-insensitive';
$txt['utf8mb4_general_nopad_ci'] = 'Unicode, case-insensitive';
$txt['utf8mb4_german2_ci'] = 'German (phone book order), case-insensitive';
$txt['utf8mb4_hungarian_ci'] = 'Hungarian, case-insensitive';
$txt['utf8mb4_icelandic_ci'] = 'Icelandic, case-insensitive';
$txt['utf8mb4_latvian_ci'] = 'Latvian, case-insensitive';
$txt['utf8mb4_lithuanian_ci'] = 'Lithuanian, case-insensitive';
$txt['utf8mb4_myanmar_ci'] = 'Burmese, case-insensitive';
$txt['utf8mb4_nopad_bin'] = 'Unicode, binary';
$txt['utf8mb4_persian_ci'] = 'Persian, case-insensitive';
$txt['utf8mb4_polish_ci'] = 'Polish, case-insensitive';
$txt['utf8mb4_roman_ci'] = 'West European, case-insensitive';
$txt['utf8mb4_romanian_ci'] = 'Romanian, case-insensitive';
$txt['utf8mb4_sinhala_ci'] = 'Sinhalese, case-insensitive';
$txt['utf8mb4_slovak_ci'] = 'Slovak, case-insensitive';
$txt['utf8mb4_slovenian_ci'] = 'Slovenian, case-insensitive';
$txt['utf8mb4_spanish2_ci'] = 'Spanish (traditional), case-insensitive';
$txt['utf8mb4_spanish_ci'] = 'Spanish (modern), case-insensitive';
$txt['utf8mb4_swedish_ci'] = 'Swedish, case-insensitive';
$txt['utf8mb4_thai_520_w2'] = 'Thai (UCA 5.2.0), multi-level';
$txt['utf8mb4_turkish_ci'] = 'Turkish, case-insensitive';
$txt['utf8mb4_unicode_520_ci'] = 'Unicode (UCA 5.2.0), case-insensitive';
$txt['utf8mb4_unicode_520_nopad_ci']  = 'Unicode (UCA 5.2.0), case-insensitive';
$txt['utf8mb4_unicode_ci'] = 'Unicode, case-insensitive';
$txt['utf8mb4_unicode_nopad_ci'] = 'Unicode, case-insensitive';
$txt['utf8mb4_vietnamese_ci'] = 'Vietnamese, case-insensitive';

?>